#features/Delete.feature

Feature: Delete of a Plugin pack
  As a Centreon user who subscribed to the IMP offer
  I want to delete a plugin pack installed on my platform
  To sustain my configuration

  Background:
    Given I am logged in a Centreon server with PPM installed

  Scenario: IMP Delete a plugin pack not used on my platform
    Given a Centreon user who subscribed to the IMP offer
    And a Plugin Pack is installed
    When I remove the Plugin Pack
    Then the Plugin Pack is marked as installable

  Scenario: EMS Delete a plugin pack not used on my platform
    Given EMS is installed
    And a Plugin Pack is installed
    When I remove the Plugin Pack
    Then the Plugin Pack is marked as installable

  Scenario: IMP Delete a plugin pack used on my platform
    Given a Centreon user who subscribed to the IMP offer
    And a Plugin Pack is installed
    And this Plugin Pack is used
    When I attempt to remove the Plugin Pack
    Then the Plugin Pack deletion is forbidden

  Scenario: EMS Delete a plugin pack used on my platform
    Given EMS is installed
    And a Plugin Pack is installed
    And this Plugin Pack is used
    When I attempt to remove the Plugin Pack
    Then the Plugin Pack deletion is forbidden

  Scenario: IMP Delete a plugin pack used as dependency
    Given a Centreon user who subscribed to the IMP offer
    And a Plugin Pack with dependencies is installed
    When I attempt to remove a dependency
    Then the Plugin Pack deletion is forbidden

  Scenario: EMS Delete a plugin pack used as dependency
    Given EMS is installed
    And a Plugin Pack with dependencies is installed
    When I attempt to remove a dependency
    Then the Plugin Pack deletion is forbidden
