Feature: Plugin pack dependencies
    As a Centreon PPM user
    I want an explicit error message to be printed when I cannot install a plugin pack
    So that I know why I cannot install the plugin pack

    Background:
        Given I am logged in a Centreon server with PPM installed

    Scenario: IMP Plugin pack with available dependency
        Given a Centreon user who subscribed to the IMP offer
	And a plugin pack with dependencies
	And the dependencies are available
        When I install the plugin pack
        Then the dependencies are successfully installed

    Scenario: IMP Plugin pack with an old dependency installed
        Given a Centreon user who subscribed to the IMP offer
	And a plugin pack with dependencies
        And an old version of a dependency is installed
        When I install the plugin pack
        Then the dependency is updated

    Scenario: IMP Installation with dependency not available
        Given a Centreon user who subscribed to the IMP offer
        And a plugin pack with dependencies
	And a dependency is not available
	When I install the plugin pack
	Then an explicit error message is printed

    Scenario: EMS Plugin pack with available dependency
        Given EMS is installed
	And a plugin pack with dependencies
	And the dependencies are available
        When I install the plugin pack
        Then the dependencies are successfully installed

    Scenario: EMS Plugin pack with an old dependency installed
        Given EMS is installed
	And a plugin pack with dependencies
        And an old version of a dependency is installed
        When I install the plugin pack
        Then the dependency is updated

#    Scenario: EMS Installation with dependency not available
#        Given EMS is installed
#	And a plugin pack with dependencies
#	And a dependency is not available
#	When I install the plugin pack
#	Then an explicit error message is printed
