#features/Installation.feature

Feature: Installation of a Plugin pack
    As a Centreon user who subscribed to the IMP offer
    I want to install a plugin pack
    To use it on my monitoring platform

    Background:
        Given I am logged in a Centreon server with PPM installed

    Scenario: IMP Basic installation of a Plugin pack
        Given a Centreon user who subscribed to the IMP offer
        When I install a complete plugin pack
        Then the basic informations of the Plugin Pack are saved in Centreon

    Scenario: EMS Basic installation of a Plugin pack
        Given a Centreon user who subscribed to the IMP offer
        And EMS is installed
        When I install a complete plugin pack
        Then the basic informations of the Plugin Pack are saved in Centreon

    Scenario: IMP Installation of service templates of a plugin pack
        Given a Centreon user who subscribed to the IMP offer
        When I install a complete plugin pack
        Then the service templates of the Plugin Pack are saved in Centreon
        And the service templates of the Plugin Pack are locked
        And the custom service templates of the Plugin Pack are created

    Scenario: EMS Installation of service templates of a plugin pack
        Given EMS is installed
        When I install a complete plugin pack
        Then the service templates of the Plugin Pack are saved in Centreon
        And the service templates of the Plugin Pack are locked
        And the custom service templates of the Plugin Pack are created

    Scenario: IMP Installation of host templates of a plugin pack
        Given a Centreon user who subscribed to the IMP offer
        When I install a complete plugin pack
        Then the host templates of the Plugin Pack are saved in Centreon
        And the custom host templates are saved in Centreon
        And the host templates of the Plugin Pack are locked
        And the host templates are linked to the service templates

    Scenario: EMS Installation of host templates of a plugin pack
        Given EMS is installed
        When I install a complete plugin pack
        Then the host templates of the Plugin Pack are saved in Centreon
        And the custom host templates are saved in Centreon
        And the host templates of the Plugin Pack are locked
        And the host templates are linked to the service templates

    Scenario: IMP Existing custom host template
        Given a Centreon user who subscribed to the IMP offer
        And an existing custom host template
        When I install a complete plugin pack
        Then the custom host template is not changed

    Scenario: EMS Existing custom host template
        Given EMS is installed
        And an existing custom host template
        When I install a complete plugin pack
        Then the custom host template is not changed

    Scenario: IMP Installation of commands of a plugin pack
        Given a Centreon user who subscribed to the IMP offer
        When I install a complete plugin pack
        Then command of the Plugin Pack are added in Centreon

    Scenario: IMP Update of commands of a plugin pack
        Given a Centreon user who subscribed to the IMP offer
        And the command exist
        When I install a complete plugin pack
        Then command of the Plugin Pack is updated in Centreon

    Scenario: EMS Installation of commands of a plugin pack
        Given EMS is installed
        When I install a complete plugin pack
        Then command of the Plugin Pack are added in Centreon

    Scenario: EMS Update of commands of a plugin pack
        Given EMS is installed
        And the command exist
        When I install a complete plugin pack
        Then command of the Plugin Pack is updated in Centreon

    Scenario: EMS Link icon to host template
        Given EMS is installed
        When I install a complete plugin pack with host template icon
        Then the icon is linked to the host template

    Scenario: IMP Link icon to host template
        Given a Centreon user who subscribed to the IMP offer
        When I install a complete plugin pack with host template icon
        Then the icon is linked to the host template

    Scenario: EMS Link icon to service template
        Given EMS is installed
        When I install a complete plugin pack with service template icon
        Then the icon is linked to the service template

    Scenario: IMP Link icon to service template
        Given a Centreon user who subscribed to the IMP offer
        When I install a complete plugin pack with service template icon
        Then the icon is linked to the service template

    Scenario: EMS Import icon
        Given EMS is installed
        When I install a complete plugin pack with host template icon
        Then the icon is imported with the right name

    Scenario: IMP Import icon
        Given a Centreon user who subscribed to the IMP offer
        When I install a complete plugin pack with host template icon
        Then the icon is imported with the right name
