#features/Timeperiod.feature

Feature: Timeperiods
  As a Centreon developer
  I wish that the timeperiod objects are installed at the time of the installation of a PP
  To profit of this configuration

  Background:
    Given I am logged in a Centreon server with PPM installed

  Scenario: EMS Install timeperiods
    Given EMS is installed
    And a plugin pack with a timeperiod
    When I install the plugin pack
    Then the timeperiod is installed

  Scenario: IMP Install timeperiods
    Given a Centreon user who subscribed to the IMP offer
    And a plugin pack with a timeperiod
    When I install the plugin pack
    Then the timeperiod is installed

  Scenario: EMS Install a Plugin Pack with already existing timeperiods
    Given EMS is installed
    And an installed plugin pack with timeperiod
    When I update the plugin pack
    Then the timeperiod is updated

  Scenario: IMP Install a Plugin Pack with already existing timeperiods
    Given a Centreon user who subscribed to the IMP offer
    And an installed plugin pack with timeperiod
    When I update the plugin pack
    Then the timeperiod is updated

  Scenario: EMS Install a Plugin Pack with new timeperiods
    Given EMS is installed
    And an installed plugin pack without timeperiod
    When I update the plugin pack
    Then the timeperiod is installed

  Scenario: IMP Install a Plugin Pack with new timeperiods
    Given a Centreon user who subscribed to the IMP offer
    And an installed plugin pack without timeperiod
    When I update the plugin pack
    Then the timeperiod is installed

  Scenario: EMS Uninstall a Plugin Pack with not used timeperiods
    Given EMS is installed
    And an installed plugin pack with timeperiod
    When I remove the plugin pack
    Then the timeperiod is uninstalled

  Scenario: IMP Uninstall a Plugin Pack with not used timeperiods
    Given a Centreon user who subscribed to the IMP offer
    And an installed plugin pack with timeperiod
    When I remove the plugin pack
    Then the timeperiod is uninstalled

  Scenario: EMS Uninstall a Plugin Pack with used timeperiods
    Given EMS is installed
    And an installed plugin pack with timeperiod
    And the timeperiod is used
    When I remove the Plugin Pack
    Then the timeperiod is not uninstalled

  Scenario: IMP Uninstall a Plugin Pack with used timeperiods
    Given a Centreon user who subscribed to the IMP offer
    And an installed plugin pack with timeperiod
    And the timeperiod is used
    When I remove the Plugin Pack
    Then the timeperiod is not uninstalled
