#features/UnmanagedObjects.feature

Feature: Display unmanaged objects of plugin packs
  As a Centreon user who subscribed to the IMP offer
  I want to know if my PP is fully installed
  To plan my updates

  Background:
    Given I am logged in a Centreon server with PPM installed

  Scenario: IMP Update managed object who inherit of an unmanaged object
    Given a Centreon user who subscribed to the IMP offer
    And a Plugin Pack not update who inherit of an incomplete install Plugin Pack
    When the child Plugin Pack is updated
    And the parent Plugin Pack is display like complete

  Scenario: EMS Update managed object who inherit of an unmanaged object
    Given EMS is installed
    And a Plugin Pack not update who inherit of an incomplete install Plugin Pack
    When the child Plugin Pack is updated
    And the parent Plugin Pack is display like complete

  Scenario: IMP Unmanaged objects on installation
    Given a Centreon user who subscribed to the IMP offer
    And a Plugin Pack which have bad format objects
    When the Plugin Pack is installed
    Then a message displays unknown objects
    And the Plugin Pack is display like incomplete

  Scenario: EMS Unmanaged objects on installation
    Given EMS is installed
    And a Plugin Pack which have bad format objects
    When the Plugin Pack is installed
    Then a message displays unknown objects
    And the Plugin Pack is display like incomplete

  Scenario: IMP Unmanaged objects on installation
    Given a Centreon user who subscribed to the IMP offer
    And a Plugin Pack which have unknown objects
    When the Plugin Pack is installed
    Then a message displays unknown objects
    And the Plugin Pack is display like incomplete

  Scenario: EMS Unmanaged objects on installation
    Given EMS is installed
    And a Plugin Pack which have unknown objects
    When the Plugin Pack is installed
    Then a message displays unknown objects
    And the Plugin Pack is display like incomplete

  Scenario: IMP Unmanaged objects on update
    Given a Centreon user who subscribed to the IMP offer
    And a Plugin Pack which have unknown objects
    And a previous version of the Plugin Pack is installed
    When the Plugin Pack is updated
    Then a message displays unknown objects
    And the Plugin Pack is display like incomplete

  Scenario: EMS Unmanaged objects on update
    Given EMS is installed
    And a Plugin Pack which have unknown objects
    And a previous version of the Plugin Pack is installed
    When the Plugin Pack is updated
    Then a message displays unknown objects
    And the Plugin Pack is display like incomplete

  Scenario: IMP fix unmanaged objects on update
    Given a Centreon user who subscribed to the IMP offer
    And a previous version of the Plugin Pack is incompletely installed
    When I update the Plugin Pack
    Then the Plugin Pack is display like complete

  Scenario: EMS fix unmanaged objects on update
    Given EMS is installed
    And a previous version of the Plugin Pack is incompletely installed
    When I update the Plugin Pack
    Then the Plugin Pack is display like complete