#features/Update.feature

Feature: Update of a Plugin pack
    As a Centreon user who subscribed to the IMP offer
    I want to update a plugin pack
    To use new features of this plugin pack

    Background:
        Given I am logged in a Centreon server with PPM installed

    Scenario: IMP Update proposal
        Given a Centreon user who subscribed to the IMP offer
	    And a Plugin Pack is installed
	    When an update is available for the Plugin Pack
	    Then the Plugin Pack is marked as updatable

    Scenario: EMS Update proposal
        Given EMS is installed
	    And a Plugin Pack is installed
	    When an update is available for the Plugin Pack
	    Then the Plugin Pack is marked as updatable

    Scenario: IMP Update confirmation
        Given a Centreon user who subscribed to the IMP offer
	    And a Plugin Pack ready for update
	    When I try to update the Plugin Pack
	    Then I am asked to confirm my choice

    Scenario: EMS Update confirmation
        Given EMS is installed
	    And a Plugin Pack ready for update
	    When I try to update the Plugin Pack
	    Then I am asked to confirm my choice

    Scenario: IMP Basic update of a Plugin pack
        Given a Centreon user who subscribed to the IMP offer
	    And a Plugin Pack ready for update
	    When I update the Plugin Pack
	    Then the basic informations of the Plugin Pack are updated in Centreon
	    And the Plugin Pack is not marked as updatable anymore

    Scenario: EMS Basic update of a Plugin pack
        Given EMS is installed
	    And a Plugin Pack ready for update
	    When I update the Plugin Pack
	    Then the basic informations of the Plugin Pack are updated in Centreon
	    And the Plugin Pack is not marked as updatable anymore

    Scenario: IMP Update service templates of a Plugin pack
        Given a Centreon user who subscribed to the IMP offer
        And a Plugin Pack ready for update
        And this Plugin Pack have a template installed
        When I update the Plugin Pack
        Then the service templates of the Plugin Pack are updated in Centreon
        And the Plugin Pack is not marked as updatable anymore

    Scenario: EMS Update service templates of a Plugin pack
        Given EMS is installed
        And a Plugin Pack ready for update
        And this Plugin Pack have a template installed
        When I update the Plugin Pack
        Then the service templates of the Plugin Pack are updated in Centreon
        And the Plugin Pack is not marked as updatable anymore

    Scenario: IMP Update existing service templates of a Plugin pack
        Given a Centreon user who subscribed to the IMP offer
        And a Plugin Pack ready for update
        When I update the Plugin Pack
        Then the existing service templates of the Plugin Pack are updated in Centreon
        And the Plugin Pack is not marked as updatable anymore

    Scenario: EMS Update existing service templates of a Plugin pack
        Given EMS is installed
        And a Plugin Pack ready for update
        When I update the Plugin Pack
        Then the existing service templates of the Plugin Pack are updated in Centreon
        And the Plugin Pack is not marked as updatable anymore

    Scenario: IMP Update commands of a Plugin pack
        Given a Centreon user who subscribed to the IMP offer
        And a Plugin Pack ready for update
        When I update the Plugin Pack
        Then the commands of the Plugin Pack are updated in Centreon
        And the Plugin Pack is not marked as updatable anymore

    Scenario: EMS Update commands of a Plugin pack
        Given EMS is installed
        And a Plugin Pack ready for update
        When I update the Plugin Pack
        Then the commands of the Plugin Pack are updated in Centreon
        And the Plugin Pack is not marked as updatable anymore

    Scenario: IMP Update existing commands of a Plugin pack
        Given a Centreon user who subscribed to the IMP offer
        And a Plugin Pack ready for update
        When I update the Plugin Pack
        Then the existing commands of the Plugin Pack are updated in Centreon
        And the Plugin Pack is not marked as updatable anymore

    Scenario: EMS Update existing commands of a Plugin pack
        Given EMS is installed
        And a Plugin Pack ready for update
        When I update the Plugin Pack
        Then the existing commands of the Plugin Pack are updated in Centreon
        And the Plugin Pack is not marked as updatable anymore

    Scenario: IMP Update host templates of a Plugin pack
        Given a Centreon user who subscribed to the IMP offer
        And a Plugin Pack ready for update
        When I update the Plugin Pack
        Then the host templates of the Plugin Pack are updated in Centreon
        And the Plugin Pack is not marked as updatable anymore

    Scenario: EMS Update host templates of a Plugin pack
        Given EMS is installed
        And a Plugin Pack ready for update
        When I update the Plugin Pack
        Then the host templates of the Plugin Pack are updated in Centreon
        And the Plugin Pack is not marked as updatable anymore

    Scenario: IMP Update existing host templates of a Plugin pack
        Given a Centreon user who subscribed to the IMP offer
        And a Plugin Pack ready for update
        When I update the Plugin Pack
        Then the existing host templates of the Plugin Pack are updated in Centreon
        And the Plugin Pack is not marked as updatable anymore

    Scenario: EMS Update existing host templates of a Plugin pack
        Given EMS is installed
        And a Plugin Pack ready for update
        When I update the Plugin Pack
        Then the existing host templates of the Plugin Pack are updated in Centreon
        And the Plugin Pack is not marked as updatable anymore

    Scenario: IMP Update service template alias
        Given a Centreon user who subscribed to the IMP offer
        And a Plugin Pack is installed
        And a service template of the Plugin Pack is deployed
        And the upcoming version of the Plugin Pack has a different alias for the service template
        When I update the Plugin Pack
        Then all the services inheriting from this template are renamed with the new names

    Scenario: EMS Update service template alias
        Given EMS is installed
        And a Plugin Pack is installed
        And a service template of the Plugin Pack is deployed
        And the upcoming version of the Plugin Pack has a different alias for the service template
        When I update the Plugin Pack
        Then all the services inheriting from this template are renamed with the new names

    Scenario: IMP Do not update custom service template alias if changed
        Given a Centreon user who subscribed to the IMP offer
        And a Plugin Pack is installed
        And a custom service template has its alias changed
        And the upcoming version of the Plugin Pack has a different alias for the service template
        When I update the Plugin Pack
        Then the alias of the custom service template is not changed

    Scenario: EMS Do not update custom service template alias if changed
        Given EMS is installed
        And a Plugin Pack is installed
        And a custom service template has its alias changed
        And the upcoming version of the Plugin Pack has a different alias for the service template
        When I update the Plugin Pack
        Then the alias of the custom service template is not changed

    Scenario: IMP Update custom service template alias if not changed
        Given a Centreon user who subscribed to the IMP offer
        And a Plugin Pack is installed
        And no custom service template has its alias changed
        And a custom service template of the Plugin Pack is deployed
        And the upcoming version of the Plugin Pack has a different alias for the service template
        When I update the Plugin Pack
        Then the alias of the custom service template is changed
        And all the services inheriting from this custom template are renamed with the new names

    Scenario: EMS Update custom service template alias if not changed
        Given EMS is installed
        And a Plugin Pack is installed
        And no custom service template has its alias changed
        And a custom service template of the Plugin Pack is deployed
        And the upcoming version of the Plugin Pack has a different alias for the service template
        When I update the Plugin Pack
        Then the alias of the custom service template is changed
        And all the services inheriting from this custom template are renamed with the new names

    Scenario: EMS Link icon to host template
        Given EMS is installed
        And a Plugin Pack is installed
        When I update the Plugin Pack
        Then the icon is linked to the host template

    Scenario: IMP Link icon to host template
        Given a Centreon user who subscribed to the IMP offer
        And a Plugin Pack is installed
        When I update the Plugin Pack
        Then the icon is linked to the host template

    Scenario: EMS Link icon to service template
        Given EMS is installed
        And a Plugin Pack is installed
        When I update the Plugin Pack
        Then the icon is linked to the service template

    Scenario: IMP Link icon to service template
        Given a Centreon user who subscribed to the IMP offer
        And a Plugin Pack is installed
        When I update the Plugin Pack
        Then the icon is linked to the service template

    Scenario: EMS Update linked templates
        Given EMS is installed
        And a Plugin Pack is installed
        And a relation between an host template and a service template has been removed
        When I update the Plugin Pack
        Then the relation previously removed is not created

    Scenario: IMP Update linked templates
        Given a Centreon user who subscribed to the IMP offer
        And a Plugin Pack is installed
        And a relation between an host template and a service template has been removed
        When I update the Plugin Pack
        Then the relation previously removed is not created

    Scenario: EMS available and installed versions
        Given EMS is installed
        And a Plugin Pack is installed
        When I inspect the Plugin Pack
        Then the available and installed versions are displayed

    Scenario: IMP available and installed versions
        Given a Centreon user who subscribed to the IMP offer
        And a Plugin Pack is installed
        When I inspect the Plugin Pack
        Then the available and installed versions are displayed
