DROP TABLE IF EXISTS `mod_ppm_discovery_validator_argument`;
DROP TABLE IF EXISTS `mod_ppm_discovery_validator`;

ALTER TABLE `mod_ppm_pluginpack` ADD `complete` bool DEFAULT true AFTER `icon`;

CREATE TABLE mod_ppm_categories
(
`id` INT PRIMARY KEY NOT NULL AUTO_INCREMENT,
`name` VARCHAR(100) NOT NULL,
`slug` VARCHAR(100) NOT NULL,
`parent_id` INT(11) DEFAULT NULL,
`icon` VARCHAR(100) NULL,
`priority` INT(11) NULL,
KEY `mpc_index` (`parent_id`),
CONSTRAINT `mpc_fk` FOREIGN KEY (`parent_id`) REFERENCES `mod_ppm_categories` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO mod_ppm_categories (`name`, `slug`, `parent_id`, `icon`, `priority`) VALUES
('Sensor', 'sensor', NULL, 'sensor.png', 1),
('Printer', 'printer', NULL, 'printer.png', 2),
('Network', 'network', NULL, 'network.png', 3),
('Hardware-server', 'hardware-server', NULL, 'hardware-server.png', 4),
('Operating System', 'operating-system', (SELECT ppmc.`id` FROM mod_ppm_categories ppmc WHERE ppmc.`name` = 'Hardware-server'), 'operating-system.png', 5),
('Database', 'database', (SELECT ppmc.`id` FROM mod_ppm_categories ppmc WHERE ppmc.`name` = 'Hardware-server'), 'database.png', 6),
('Centreon', 'centreon', (SELECT ppmc.`id` FROM mod_ppm_categories ppmc WHERE ppmc.`name` = 'Hardware-server'), 'centreon.png', 7),
('Applications', 'applications', (SELECT ppmc.`id` FROM mod_ppm_categories ppmc WHERE ppmc.`name` = 'Hardware-server'), 'applications.png', 8),
('Storage', 'storage', NULL, 'storage.png', 9),
('ToIp-VoIP', 'toip-voip', NULL, 'toip-voip.png', 10),
('UPS-PDU', 'ups-pdu', NULL, 'ups-pdu.png', 11),
('Protocol', 'protocol', NULL, 'protocol.png', 12),
('Cloud', 'cloud', NULL, 'cloud.png', 13),
('Virtualization', 'virtualization', NULL, 'virtualization.png', 14);

ALTER TABLE mod_ppm_pluginpack_host
ADD COLUMN `discovery_command_id` int(11) NULL AFTER `host_id`,
ADD CONSTRAINT `mod_ppm_pluginpack_host_fk03`
FOREIGN KEY (`discovery_command_id`)
REFERENCES `command`(`command_id`)
ON DELETE SET NULL;

ALTER TABLE mod_ppm_pluginpack_host
ADD COLUMN `discovery_arguments` VARCHAR(255) NULL;
